Get a graph node

One node and its connections, strongest first. Relations: member_of, sponsored, cosponsored, voted_yes, voted_no, voted_with, cosponsors_with, shares_donors, donated_to, employees_gave_to, works_for, gave_gift_to, lobbies_for, lobbied_on. Each connection has its amount, count, dates, and evidence.

GET https://www.chicagopolitics.org/api/v1/graph/nodes/{id}

Authorizations

HeaderValue
AuthorizationBearer <key>. Get a key; see authentication.

Path parameters

NameTypeRequiredDescription
idstringyesNode id, e.g. member:12, matter:<id>, donor:<name>, lobbyist:<name>, client:<name>, employer:<name>, committee:<slug>

Query parameters

NameTypeRequiredDescription
relationstringOnly this relation.
limitintegerDefault 100.

Response

200 Node

Example request

curl "https://www.chicagopolitics.org/api/v1/graph/nodes/{id}" \
  -H "Authorization: Bearer $CHICAGO_POLITICS_KEY"

Errors: 400, 401, 404, 429 (see errors).